### Method

# Json Builder add_value

#### Declaration [src]

    JsonBuilder*
    json_builder_add_value (
      JsonBuilder* builder,
      JsonNode* node
    )

#### Description [src]

Adds a value to the currently open object member or array.

If called after `json_builder_set_member_name()`, sets the given node as the value of the current member in the open object; otherwise, the node is appended to the elements of the open array.

The builder will take ownership of the node.

#### Parameters

`node`

  Type: `JsonNode`

  The value of the member or element.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `JsonBuilder`

The builder instance.

The data is owned by the instance.
The return value can be `NULL`.